package request


type AlibabaWdkSkuBarcodeQueryRequest struct {
    /*
        商品编码     */
    SkuCode  *string `json:"sku_code" required:"true" `
}

func (s *AlibabaWdkSkuBarcodeQueryRequest) SetSkuCode(v string) *AlibabaWdkSkuBarcodeQueryRequest {
    s.SkuCode = &v
    return s
}

func (req *AlibabaWdkSkuBarcodeQueryRequest) ToMap() map[string]interface{} {
    paramMap := make(map[string]interface{})
    if(req.SkuCode != nil) {
        paramMap["sku_code"] = *req.SkuCode
    }
    return paramMap
}

func (req *AlibabaWdkSkuBarcodeQueryRequest) ToFileMap() map[string]interface{} {
    fileMap := make(map[string]interface{})
    return fileMap
}